org.eclipse.gef.ui.actions

## Class ZoomInAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.gef.ui.actions.ZoomInAction

All Implemented Interfaces:
  Disposable, ZoomListener, IAction

    public class ZoomInAction
    extends Action

### Field Summary

Fields
`protected ZoomManager` `zoomManager` The ZoomManager used to zoom in or out

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ZoomInAction(ZoomManager zoomManager)` Constructor for ZoomInAction.

### Method Summary

Methods
`void` `dispose()` Performs and necessary cleanup.
`void` `run()`
`void` `zoomChanged(double zoom)` Called whenever the ZoomManager's zoom level changes.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### zoomManager

    protected ZoomManager zoomManager

The ZoomManager used to zoom in or out

### Constructor Detail

#### ZoomInAction

    public ZoomInAction(ZoomManager zoomManager)

Constructor for ZoomInAction.

Parameters:
  `zoomManager` - the zoom manager

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `IAction.run()`

#### zoomChanged

    public void zoomChanged(double zoom)

Description copied from interface: `ZoomListener`
Called whenever the ZoomManager's zoom level changes.

Parameters:
  `zoom` - the new zoom level.
See Also:
  `ZoomListener.zoomChanged(double)`

#### dispose

    public void dispose()

Description copied from interface: `Disposable`
Performs and necessary cleanup.

Specified by:
  `dispose` in interface `Disposable`
See Also:
  `Disposable.dispose()`